# Deprecated API

## Contents

- Interfaces
- Classes
- Exception Classes
- Annotation Types
- Methods

Deprecated Interfaces
Interface
Description
org.apache.sling.commons.json.JSONString

Deprecated Classes
Class
Description
org.apache.sling.commons.json.http.Cookie
org.apache.sling.commons.json.http.CookieList
org.apache.sling.commons.json.http.HTTP
org.apache.sling.commons.json.http.HTTPTokener
org.apache.sling.commons.json.io.JSONRenderer
org.apache.sling.commons.json.io.JSONStringer
org.apache.sling.commons.json.io.JSONWriter
org.apache.sling.commons.json.jcr.JsonItemWriter
org.apache.sling.commons.json.jcr.JsonJcrNode
org.apache.sling.commons.json.JSONArray
org.apache.sling.commons.json.JSONObject
org.apache.sling.commons.json.JSONTokener
org.apache.sling.commons.json.sling.JsonObjectCreator
org.apache.sling.commons.json.sling.ResourceTraversor
org.apache.sling.commons.json.util.CDL
org.apache.sling.commons.json.util.ParserConfiguration
org.apache.sling.commons.json.util.Validator
org.apache.sling.commons.json.xml.XML
org.apache.sling.commons.json.xml.XMLTokener

Deprecated Exception Classes
Exception Class
Description
org.apache.sling.commons.json.JSONException

Deprecated Annotation Types
Annotation Type
Description
org.apache.sling.commons.json.JSONPropertyIgnore
org.apache.sling.commons.json.JSONPropertyName

Deprecated Methods
Method
Description
org.apache.sling.commons.json.io.JSONWriter.isTidy()
do not use, was removed from library and later stubbed
org.apache.sling.commons.json.io.JSONWriter.setTidy(boolean)
do not use, was removed from library and later stubbed
org.apache.sling.commons.json.jcr.JsonItemWriter.dump(Node, Writer, int, boolean)
the tidy mode was removed from the json library